=head1 NAME

Gtk2::RecentInfo

=cut

=head1 HIERARCHY

  Glib::Boxed
  +----Gtk2::RecentInfo



=cut


=head1 METHODS

=head2 timestamp = $info->B<get_added>;

=head2 timestamp = $info->B<get_modified>;

=head2 timestamp = $info->B<get_visited>;

cut

=for apidoc Gtk2::RecentInfo::get_modified
cut

=for apidoc Gtk2::RecentInfo::get_visited

=head2 integer = $info-E<gt>B<get_age> 

=head2 (exec, count, timestamp) = $info->B<get_application_info> ($app_name)

=over

=item * $app_name (string) 

=back



=head2 (applications) = $info->B<get_applications>



=head2 string = $info->B<get_description>



=head2 string = $info->B<get_display_name>



=head2 boolean = $info-E<gt>B<exists> 

=head2 (groups) = $info->B<get_groups>



=head2 boolean = $info-E<gt>B<has_application> ($app_name)

=over

=item * $app_name (string) 

=back

=head2 boolean = $info-E<gt>B<has_group> ($group_name)

=over

=item * $group_name (string) 

=back

=head2 pixbuf = $info-E<gt>B<get_icon> ($size)

=over

=item * $size (integer) 

=back

=head2 boolean = $info-E<gt>B<is_local> 

=head2 string = $info-E<gt>B<last_application> 

=head2 boolean = $info-E<gt>B<match> ($other_info)

=over

=item * $other_info (Gtk2::RecentInfo) 

=back

=head2 string = $info->B<get_mime_type>



=head2 unix timestamp = $info-E<gt>B<get_modified> 

=head2 boolean = $info-E<gt>B<get_private_hint> 

=head2 string = $info-E<gt>B<get_short_name> 

=head2 string = $info-E<gt>B<get_uri_display> 

=head2 string = $info->B<get_uri>



=head2 unix timestamp = $info-E<gt>B<get_visited> 



=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Boxed>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

